# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Jul 16 21:05:00 2020
# ------------------------------------------------

package:
    name: anise_basil
    version: 1.2.0
source:
    -   folder: lemon
        git_rev: 8785a8ccaca992fa9b3baf21e837e888d696a219
        sha256: bb1606b65282c2fcdcd5f49df380cf12a448fd47337c629badfd2b74eb60e5ad
        url: https://github.com/holtgrewe/lemon-mirror/archive/8785a8ccaca992fa9b3baf21e837e888d696a219.tar.gz
    -   folder: seqan
        sha256: b0eb92aee26a87dada958f8130eb017e5ab41c72dca4c2b8fc4de1af52f6e92c
        url: https://github.com/seqan/seqan/archive/seqan-v2.0.1.tar.gz
    -   sha256: 05e727da4b6b4716aa6505a527947738302b3334625de20e0cbd4b604b528a01
        url: https://github.com/seqan/anise_basil/archive/v1.2.0.tar.gz
build:
    number: '2'
    string: py37he7aa291_2
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 0_gnu
        - binutils_impl_linux-64 2.34 h53a641e_7
        - binutils_linux-64 2.34 hc952b39_20
        - bzip2 1.0.8 h516909a_2
        - ca-certificates 2020.6.20 hecda079_0
        - cmake 3.17.0 h28c56e5_0
        - expat 2.2.9 he1b5a44_2
        - gcc_impl_linux-64 7.5.0 hd420e75_6
        - gcc_linux-64 7.5.0 h09487f9_20
        - gxx_impl_linux-64 7.5.0 hdf63c60_6
        - gxx_linux-64 7.5.0 h09487f9_20
        - krb5 1.17.1 hfafb76e_1
        - ld_impl_linux-64 2.34 h53a641e_7
        - libcurl 7.71.1 hcdd3856_1
        - libedit 3.1.20191231 h46ee950_1
        - libgcc-ng 9.2.0 h24d8f2e_2
        - libgomp 9.2.0 h24d8f2e_2
        - libssh2 1.9.0 hab1572f_3
        - libstdcxx-ng 9.2.0 hdf63c60_2
        - libuv 1.38.0 h516909a_0
        - make 4.3 h516909a_0
        - ncurses 6.2 he1b5a44_1
        - openssl 1.1.1g h516909a_0
        - rhash 1.3.6 h14c3975_1001
        - tk 8.6.10 hed695b0_0
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1006
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 0_gnu
        - boost 1.70.0 py37h9de70de_1
        - boost-cpp 1.70.0 h7b93d67_3
        - bzip2 1.0.8 h516909a_2
        - ca-certificates 2020.6.20 hecda079_0
        - certifi 2020.6.20 py37hc8dfbb8_0
        - icu 67.1 he1b5a44_0
        - ld_impl_linux-64 2.34 h53a641e_7
        - libblas 3.8.0 17_openblas
        - libcblas 3.8.0 17_openblas
        - libffi 3.2.1 he1b5a44_1007
        - libgcc-ng 9.2.0 h24d8f2e_2
        - libgfortran-ng 7.5.0 hdf63c60_6
        - libgomp 9.2.0 h24d8f2e_2
        - liblapack 3.8.0 17_openblas
        - libopenblas 0.3.10 pthreads_hb3c22a3_2
        - libstdcxx-ng 9.2.0 hdf63c60_2
        - lz4-c 1.9.2 he1b5a44_1
        - ncurses 6.2 he1b5a44_1
        - numpy 1.19.0 py37h8960a57_0
        - openssl 1.1.1g h516909a_0
        - pip 20.1.1 py_1
        - python 3.7.6 h8356626_5_cpython
        - python_abi 3.7 1_cp37m
        - readline 8.0 he28a2e2_2
        - setuptools 49.2.0 py37hc8dfbb8_0
        - sqlite 3.32.3 hcee41ef_1
        - tk 8.6.10 hed695b0_0
        - wheel 0.34.2 py_1
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1006
        - zstd 1.4.4 h6597ccf_3
    run:
        - libgcc-ng >=7.5.0
        - libstdcxx-ng >=7.5.0
        - python >=3.7,<3.8.0a0
        - python_abi 3.7.* *_cp37m
test:
    commands:
        - basil --help
        - anise --help
        - filter_basil.py --help
about:
    home: https://github.com/seqan/anise_basil
    license: BSD
    license_file: LICENSE
    summary: BASIL is a method to detect breakpoints for structural variants (including
        insertion breakpoints) from aligned paired HTS reads in BAM format. ANISE
        is a method for the assembly of large insertions from paired reads in BAM
        format and a list candidate insert breakpoints as generated by BASIL.
extra:
    copy_test_source_files: true
    final: true
    identifiers:
        - doi:10.1093/bioinformatics/btv051
